READ_CACHE_PAGE_GFP(9)

NAME
read_cache_page_gfp - read into page cache, using specified page allocation flags.

SYNOPSIS

struct page * read_cache_page_gfp(struct address_space * mapping, pgoff_t index, gfp_t gfp);

ARGUMENTS

mapping
    the page's address_space

index
    the page index

gfp
    the page allocator flags to use if allocating

DESCRIPTION

This is the same as “read_mapping_page(mapping, index, NULL)”, but with any new page allocations done using the specified allocation flags.

If the page does not get brought uptodate, return -EIO.

COPYRIGHT